Subject: Re: git mv + git pull issue

From: Christoph Duelli <[email-masked]>
Date: Mon, 09 Jun 2008 10:45:12 +0200

Johannes Schindelin schrieb:
> Hi,
> 
> On Fri, 6 Jun 2008, Christoph Duelli wrote:
> 
>> cd ../gitmv
>> git mv afile newname
>> # do not commit
>> # now: afile is not in the directory anymore
>> # oh, I need those changes my colleague made...
>> git pull ../gitmv-clone/
>> # now: both(!) afile and newname are in the directory
> 
> What is so surprising there?  We _always_ recommend to commit before 
> pulling.
Well, when I modify a file, and pull afterwards: my 'modification' is 
never lost (the pull might fail, though).
If we consider the removal of a file as a kind of modification, one 
would expect a similar behaviour.

I do agree that this is not (nec.) a bug, still I thought it worthwhile 
to bring the matter up.
In our repository we get duplicates now and then because of it.

Regards
-- 
Christoph Duelli